
import 'dart:convert';

PasswordOTPRequest otpRequestFromJson(String str) => PasswordOTPRequest.fromJson(json.decode(str));

String otpRequestToJson(PasswordOTPRequest data) => json.encode(data.toJson());

class PasswordOTPRequest {
  dynamic totalItemsCount;
  Data? data;
  int? messageStatus;
  String? message;

  PasswordOTPRequest(
      {this.totalItemsCount, this.data, this.messageStatus, this.message});

  PasswordOTPRequest.fromJson(Map<String, dynamic> json) {
    totalItemsCount = json['totalItemsCount'];
    data = json['data'] != null ? new Data.fromJson(json['data']) : null;
    messageStatus = json['messageStatus'];
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['totalItemsCount'] = this.totalItemsCount;
    if (this.data != null) {
      data['data'] = this.data!.toJson();
    }
    data['messageStatus'] = this.messageStatus;
    data['message'] = this.message;
    return data;
  }
}

class Data {
  String? userToken;

  Data({this.userToken});

  Data.fromJson(Map<String, dynamic> json) {
    userToken = json['userToken'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['userToken'] = this.userToken;
    return data;
  }
}